mesh_builder =
{
	builder = mesh_builder_create(),
	
	clear = function(this)
		mesh_builder_clear(this.builder)
		end,
		
	add_cube = function(this)
		mesh_builder_add_cube(this.builder)
		end,

	add_supershape = function(this, count_x, count_y, shape1, shape2)
		mesh_builder_add_supershape(this.builder, count_x, count_y, shape1, shape2)
		end,

	scale = function(this, scale)
		mesh_builder_scale(this.builder, scale)
		end,

	rot_xyz = function(this, x, y, z)
		this:transform(mat4_rot_xyz(x, y, z))
		end,
		
	transform = function(this, mtx)
		mesh_builder_transform(this.builder, mtx)
		end,

	smooth = function(this)
		mesh_builder_smooth(this.builder)
		end,

	build_mesh = function(this)
		return mesh_builder_build_mesh(this.builder)
		end,
}
