function new_renderer_text()
	-- Create the ortho camera
	local text_camera = camera_create()
	local camera_size = 150
	camera_set_ortho(text_camera, -camera_size, camera_size, -camera_size, camera_size, 0.1, 1000)

	return
		{
			start = function(this)
				render_flush()
				render_set_camera(text_camera, mat4_translation(vec3(0, 0, 1)))
				render_set_shader(nil)
				end,
				
			print = function(this, txt, pos_x, pos_y, scale)
				scale = scale or 1
				render_text(txt, mat4_translation(vec3(pos_x, pos_y, 0)) * mat4_scale(scale))
				end,
		}
end
